PostgreSQL 7.4.11 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# createdb

## Name

createdb -- create a new PostgreSQL database

## Synopsis

`createdb` [`option`...] [`dbname`] [`description`]

## Description

createdb creates a new PostgreSQL database.

Normally, the database user who executes this command becomes the owner of the new database. However a different owner can be specified via the `-O` option, if the executing user has appropriate privileges.

createdb is a wrapper around the SQL command CREATE DATABASE. There is no effective difference between creating databases via this utility and via other methods for accessing the server.

## Options

createdb accepts the following command-line arguments:

`dbname`

  Specifies the name of the database to be created. The name must be unique among all PostgreSQL databases in this cluster. The default is to create a database with the same name as the current system user.

`description`

  This optionally specifies a comment to be associated with the newly created database.

`-D `location``
`--location `location``

  Specifies the alternative location for the database. See also initlocation.

`-e`
`--echo`

  Echo the commands that createdb generates and sends to the server.

`-E `encoding``
`--encoding `encoding``

  Specifies the character encoding scheme to be used in this database.

`-O `owner``
`--owner `owner``

  Specifies the database user who will own the new database.

`-q`
`--quiet`

  Do not display a response.

`-T `template``
`--template `template``

  Specifies the template database from which to build this database.

The options `-D`, `-E`, `-O`, and `-T` correspond to options of the underlying SQL command CREATE DATABASE; see there for more information about them.

createdb also accepts the following command-line arguments for connection parameters:

`-h `host``
`--host `host``

  Specifies the host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix domain socket.

`-p `port``
`--port `port``

  Specifies the TCP port or the local Unix domain socket file extension on which the server is listening for connections.

`-U `username``
`--username `username``

  User name to connect as

`-W`
`--password`

  Force password prompt.

## Environment

`PGDATABASE`

  If set, the name of the database to create, unless overridden on the command line.

`PGHOST`
`PGPORT`
`PGUSER`

  Default connection parameters. `PGUSER` also determines the name of the database to create, if it is not specified on the command line or by `PGDATABASE`.

## Diagnostics

In case of difficulty, see CREATE DATABASE and psql for discussions of potential problems and error messages. The database server must be running at the targeted host. Also, any default connection settings and environment variables used by the libpq front-end library will apply.

## Examples

To create the database `demo` using the default database server:

    $ createdb demo
    CREATE DATABASE

The response is the same as you would have gotten from running the `CREATE DATABASE` SQL command.

To create the database `demo` using the server on host `eden`, port 5000, using the `LATIN1` encoding scheme with a look at the underlying command:

    $ createdb -p 5000 -h eden -E LATIN1 -e demo
    CREATE DATABASE "demo" WITH ENCODING = 'LATIN1'
    CREATE DATABASE

## See Also

dropdb, CREATE DATABASE

Prev | Home | Next
clusterdb | Up | createlang